import { row_currencyFormatter } from "@/utils/formatters"

export const tableOption = {
  searchMenuSpan: 6,
  columnBtn: false,
  border: true,
  selection: true,
  stripe: true,
  menuAlign: 'center',
  menuFixed: false,
  align: 'center',
  refreshBtn: true,
  searchSize: 'mini',
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  props: {
    label: 'label',
    value: 'value'
  },
  column: [
  {
    label: "#",
    prop: "id",
  }, {
    label: '产品名字',
    prop: 'name',
    search: true,
  }, {
    label: '商品原价',
    prop: 'price',
    formatter: row_currencyFormatter,
  }, {
    label: '商品库存',
    prop: 'stockAmount',
  }, {
    label: '运费',
    prop: 'deliverPrice',
    formatter: row_currencyFormatter,
  }, {
    label: '售出',
    prop: 'soldAmount',
  }, {
    label: '类别',
    prop: 'kind',
  }, {
    label: '产品图片',
    prop: 'cover',
    type: 'upload',
    listType: 'picture-img'
  }]
}
